Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Name: dhcpcd
Version: 1.3.18pl8
Release: 13
License: GPL
Group: System Environment/Base
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/dhcpcd-1.3.18-pl8.tar.gz
Patch1: dhcpcd-1.3.17-tr.patch
Patch2: dhcpcd-1.3.18-const.patch
Patch3: dhcpcd-post.patch
Patch4: dhcpcd-1.3.18-search.patch
Patch5: dhcpcd-1.3.18-icmp.patch
BuildRoot: %{_tmppath}/%{name}-root
Prereq: file, fileutils, grep

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcpcd package includes a 
DHCP client daemon.

If you're going to use DHCP on your network, you'll need to install
the server package (dhcp) on the server, and a client package on the
client machines. The dhcpcd package includes a DHCP client, but we
suggest that you instead install the DHCP client included in the pump
package, which provides a faster and simpler DHCP client.

%prep
%setup -q -n dhcpcd-1.3.18-pl8
%patch1 -p1 -b .tr
%patch2 -p1 -b .const
%patch3 -p1 -b .post
%patch4 -p1 -b .search
%patch5 -p1 -b .icmp

%build
%configure --sbindir=/sbin
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

rm -rf $RPM_BUILD_ROOT/etc/dhcpc*

mkdir -p $RPM_BUILD_ROOT/etc/dhcpc
ln -s dhcpc $RPM_BUILD_ROOT/etc/dhcpcd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README dhcpcd-eth0.exe
/etc/dhcpcd
%dir /etc/dhcpc
/sbin/dhcpcd
%{_mandir}/man8/dhcpcd.8*

%pre
exec > /dev/null 2> /dev/null
# We can't replace a directory with a symlink, but this directory is supposed
# to be a symlink.
if [ -d /etc/dhcpcd ] ; then
	mv /etc/dhcpcd/* /etc/dhcpc
	mv /etc/dhcpcd /etc/dhcpcd.rpmsave
fi
# Remove the circular link which was in a previous version of this package.
if [ -L /etc/dhcpc/dhcpc ] ; then
	if file /etc/dhcpc/dhcpc | grep -q "symbolic link to dhcpc" ; then
		rm /etc/dhcpc/dhcpc
		# Leave a file for RPM to remove.
		touch /etc/dhcpc/dhcpc
	fi
fi

%changelog
* Mon Jul 16 2001 Elliot Lee <sopwith@redhat.com>
- Bug #7961 plus my own observations resulted in Patch5 to fix alignment errors.

* Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't write two search lines to resolv.conf
- suppress output from %%pre script

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Mar 14 2001 Bill Nottingham <notting@redhat.com>
- fix running of ifup-post on ip address change

* Fri Feb 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove the circular link which was in a previous version of this package

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix the symlink, for real (#27622)

* Mon Feb 12 2001 Bill Nottingham <notting@redhat.com>
- run ifup-post on ip address change

* Mon Aug 21 2000 Bill Nottingham <notting@redhat.com>
- package up /etc/dhcpcd as a symlink instead

* Fri Jul 21 2000 Erik Troan <ewt@redhat.com>
- package up /etc/dhcpc as a symlink

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- actually update to 1.3.18pl8

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu May 11 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- updated to dhcpcd-1.3.18pl8

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- updated to dhcpcd-1.3.18pl3
- don't statically link the binary

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix the descriptions and summary
- man pages are compressed

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against the latest glibc in the sparc tree

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- include 802.2 token ring support patch (#2061).

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- include /etc/dhcpc in package (#3097).
- upgrade to 1.3.17-pl5.

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- mark default route up.

* Sun Jun  7 1998 Jeff Johnson <jbj@redhat.com>
- Fix packet alignment problems on sparc.
- build root.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May  6 1998 Alan Cox
- fixed some potential buffer exploits reported by Chris Evans

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups 

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, updated to 0.65

* Mon Apr 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed summary line... was a summary for tar.
